> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Callback

> Exchange OAuth code for tokens and store team credential.



## OpenAPI

````yaml /openapi.json post /api/v1/teams/{team_id}/integrations/{provider}/callback
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/integrations/{provider}/callback:
    post:
      tags:
        - Team Integrations
      summary: Callback
      description: Exchange OAuth code for tokens and store team credential.
      operationId: callback_api_v1_teams__team_id__integrations__provider__callback_post
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: provider
          in: path
          required: true
          schema:
            type: string
            title: Provider
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallbackRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallbackResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CallbackRequest:
      properties:
        code:
          type: string
          title: Code
        state:
          type: string
          title: State
      type: object
      required:
        - code
        - state
      title: CallbackRequest
    CallbackResponse:
      properties:
        provider:
          type: string
          title: Provider
        status:
          type: string
          title: Status
        account_name:
          type: string
          title: Account Name
      type: object
      required:
        - provider
        - status
        - account_name
      title: CallbackResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````